aboutsummaryrefslogtreecommitdiffstats
path: root/testing/novnc/alpine-specific-launch.js.patch
diff options
context:
space:
mode:
Diffstat (limited to 'testing/novnc/alpine-specific-launch.js.patch')
-rw-r--r--testing/novnc/alpine-specific-launch.js.patch25
1 files changed, 4 insertions, 21 deletions
diff --git a/testing/novnc/alpine-specific-launch.js.patch b/testing/novnc/alpine-specific-launch.js.patch
index 0228469d04..1c3861e110 100644
--- a/testing/novnc/alpine-specific-launch.js.patch
+++ b/testing/novnc/alpine-specific-launch.js.patch
@@ -1,23 +1,6 @@
--- a/utils/launch.sh
+++ b/utils/launch.sh
-@@ -1,4 +1,4 @@
--#!/usr/bin/env bash
-+#!/bin/ash
-
- # Copyright 2016 Joel Martin
- # Copyright 2016 Solly Ross
-@@ -25,8 +25,8 @@
- exit 2
- }
-
--NAME="$(basename $0)"
--REAL_NAME="$(readlink -f $0)"
-+NAME="$(basename "$0")"
-+REAL_NAME="$(readlink -f "$0")"
- HERE="$(cd "$(dirname "$REAL_NAME")" && pwd)"
- PORT="6080"
- VNC_DEST="localhost:5900"
-@@ -106,42 +106,11 @@
+@@ -110,42 +110,11 @@
echo "Warning: could not find self.pem"
fi
@@ -38,7 +21,7 @@
- if [[ $? -ne 0 ]]; then
- echo "No installed websockify, attempting to clone websockify..."
- WEBSOCKIFY=${HERE}/websockify/run
-- git clone https://github.com/kanaka/websockify ${HERE}/websockify
+- git clone https://github.com/novnc/websockify ${HERE}/websockify
-
- if [[ ! -e $WEBSOCKIFY ]]; then
- echo "Unable to locate ${HERE}/websockify/run after downloading"
@@ -53,8 +36,8 @@
-
echo "Starting webserver and WebSockets proxy on port ${PORT}"
-#${HERE}/websockify --web ${WEB} ${CERT:+--cert ${CERT}} ${PORT} ${VNC_DEST} &
--${WEBSOCKIFY} --web ${WEB} ${CERT:+--cert ${CERT}} ${PORT} ${VNC_DEST} &
-+websockify --web ${WEB} ${CERT:+--cert ${CERT}} ${PORT} ${VNC_DEST} &
+-${WEBSOCKIFY} ${SSLONLY} --web ${WEB} ${CERT:+--cert ${CERT}} ${PORT} ${VNC_DEST} &
++${HERE}/websockify --web ${WEB} ${CERT:+--cert ${CERT}} ${PORT} ${VNC_DEST} &
proxy_pid="$!"
sleep 1
-if ! ps -p ${proxy_pid} >/dev/null; then